summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2017-06-25 21:53:26 +0200
committerKristian Fiskerstrand <k_f@gentoo.org>2017-06-25 21:53:26 +0200
commit2f0f2f1f8007b8aa05dd6e7f17e6d729ca9ed1fe (patch)
treefc403688665f46befda6dd364b336ae467298180 /net-wireless
parentnet-wireless/bluez-tools: New package (diff)
downloadgentoo-2f0f2f1f8007b8aa05dd6e7f17e6d729ca9ed1fe.tar.gz
gentoo-2f0f2f1f8007b8aa05dd6e7f17e6d729ca9ed1fe.tar.bz2
gentoo-2f0f2f1f8007b8aa05dd6e7f17e6d729ca9ed1fe.zip
net-wireless/blueberry: New upstream version and adding cinnamon project
New upstream version and adding cinnamon to project in agreement with proxied maintainer. Gentoo-Proxied-Maintainer: Olivier Laurantin Gentoo-Bug: 622696 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/blueberry/Manifest1
-rw-r--r--net-wireless/blueberry/blueberry-1.1.13.ebuild57
-rw-r--r--net-wireless/blueberry/metadata.xml12
3 files changed, 66 insertions, 4 deletions
diff --git a/net-wireless/blueberry/Manifest b/net-wireless/blueberry/Manifest
index 10a2f4f1871..db710221d71 100644
--- a/net-wireless/blueberry/Manifest
+++ b/net-wireless/blueberry/Manifest
@@ -1 +1,2 @@
+DIST blueberry-1.1.13.tar.gz 1382261 SHA256 6a1e53d1d543417ec788e1f3dc89126a3e1a4392812977095be383f111cc915c SHA512 587165b33f087720f9ae72dfb37feda9c6c3e4c4ad166a5a410c078a63bea0d33182b781f8f0c7840575917d06faec752866009c9b3664241b7ca23ab1586b94 WHIRLPOOL 63ddd2fbe1871b13b623ff47df599ca7ac222cc20dba04ffb17a76b28ae3340fc1a9df2c47a16c46a53544327f592ceeec05411972e5cf600c93755ae2e47eeb
DIST blueberry-1.1.8.tar.gz 1342620 SHA256 f794a278d1c58e7b1717da1b89bff0939c4ae47206b6917f335d1b19f7569f55 SHA512 e516294ad9a4c40dee3c1acad2a30d8110631fff9627b2212f0f3168e13e615ca0b44b93ee1da0adf99b0b858effdd61db2a4898000c5cf040d638746a45b1bc WHIRLPOOL ed527e7cfbd41ab8e128c072da251825d2db27347ec452b158efe0e9e766e866cd8a8c131849ef2d29872fac09d97644fcf18b9f7336a3e0e57ad09f90e92dad
diff --git a/net-wireless/blueberry/blueberry-1.1.13.ebuild b/net-wireless/blueberry/blueberry-1.1.13.ebuild
new file mode 100644
index 00000000000..5350a685be7
--- /dev/null
+++ b/net-wireless/blueberry/blueberry-1.1.13.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils gnome2-utils python-single-r1
+
+DESCRIPTION="A Bluetooth configuration tool"
+HOMEPAGE="https://github.com/linuxmint/blueberry"
+SRC_URI="https://github.com/linuxmint/blueberry/archive/${PV}.tar.gz -> ${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/setproctitle[${PYTHON_USEDEP}]
+ >=net-wireless/gnome-bluetooth-3.14[introspection]
+ net-wireless/bluez[obex]
+ net-wireless/bluez-tools
+ net-wireless/rfkill
+ x11-libs/libnotify[introspection]
+ x11-misc/wmctrl"
+DEPEND="${RDEPEND}"
+
+src_prepare () {
+ sed -i 's@^#!.*python$@#!/usr/bin/python2@' usr/bin/blueberry{,-tray} || die
+ default_src_prepare
+}
+
+src_install() {
+ doins -r etc
+ exeinto /usr/bin
+ doexe usr/bin/*
+ exeinto /usr/lib/blueberry
+ doexe usr/lib/blueberry/*
+ insinto /usr
+ doins -r usr/share
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
diff --git a/net-wireless/blueberry/metadata.xml b/net-wireless/blueberry/metadata.xml
index 421cd2f23d4..85b93305f55 100644
--- a/net-wireless/blueberry/metadata.xml
+++ b/net-wireless/blueberry/metadata.xml
@@ -5,10 +5,14 @@
<email>olivier.laurantin@laposte.net</email>
<name>Olivier Laurantin</name>
</maintainer>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
+ <maintainer type="project">
+ <email>cinnamon@gentoo.org</email>
+ <name>Cinnamon Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<upstream>
<remote-id type="github">linuxmint/blueberry</remote-id>
</upstream>